/* ScummVM - Scumm Interpreter
 * Copyright (C) 2003 The ScummVM project
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Header: /cvsroot/scummvm/scummvm/sky/gmmusic.h,v 1.1 2003/05/03 02:59:45 lavosspawn Exp $
 *
 */

#ifndef GMMUSIC_H
#define GMMUSIC_H

#include "stdafx.h"
#include "common/engine.h"
#include "musicbase.h"
#include "sound/mididrv.h"
#include "gmchannel.h"

class SkyGmMusic : public SkyMusicBase {
public:
	SkyGmMusic(MidiDriver *pMidiDrv, SkyDisk *pSkyDisk);
	~SkyGmMusic(void);
private:
	static void passTimerFunc(void *param);
	void timerCall(void);
	bool ignoreNextPoll;
	uint8 *_sysExSequence;
	MidiDriver *_midiDrv;
	virtual void setupPointers(void);
	virtual void setupChannels(uint8 *channelData);
	virtual void startDriver(void);
};

#endif //GMMUSIC_H
